
From: Alan Cox <alan@redhat.com>

- Make it fix 80-col xterms

- whitespace as per coding style.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/irq.c |   27 ++++++++++++++-------------
 1 files changed, 14 insertions(+), 13 deletions(-)

diff -puN arch/i386/kernel/irq.c~misrouted-irq-recovery-take-2-cleanup arch/i386/kernel/irq.c
--- 25/arch/i386/kernel/irq.c~misrouted-irq-recovery-take-2-cleanup	2004-09-06 14:58:13.958460328 -0700
+++ 25-akpm/arch/i386/kernel/irq.c	2004-09-06 14:58:13.962459720 -0700
@@ -654,32 +654,33 @@ asmlinkage unsigned int do_IRQ(struct pt
 	for (;;) {
 		irqreturn_t action_ret;
 		u32 *isp;
-		union irq_ctx * curctx;
-		union irq_ctx * irqctx;
+		union irq_ctx *curctx;
+		union irq_ctx *irqctx;
 
-		curctx = (union irq_ctx *) current_thread_info();
+		curctx = (union irq_ctx *)current_thread_info();
 		irqctx = hardirq_ctx[smp_processor_id()];
 
 		spin_unlock(&desc->lock);
 
 		/*
-		 * this is where we switch to the IRQ stack. However, if we are already using
-		 * the IRQ stack (because we interrupted a hardirq handler) we can't do that
-		 * and just have to keep using the current stack (which is the irq stack already
-		 * after all)
+		 * this is where we switch to the IRQ stack. However, if
+		 * we are already using the IRQ stack (because we
+		 * interrupted a hardirq handler) we can't do that and
+		 * just have to keep using the current stack (which is
+		 * the irq stack already after all)
 		 */
 
-		if (curctx == irqctx)
+		if (curctx == irqctx) {
 			action_ret = handle_IRQ_event(irq, &regs, action);
-		else {
+		} else {
 			/* build the stack frame on the IRQ stack */
-			isp = (u32*) ((char*)irqctx + sizeof(*irqctx));
+			isp = (u32*)((char*)irqctx + sizeof(*irqctx));
 			irqctx->tinfo.task = curctx->tinfo.task;
 			irqctx->tinfo.previous_esp = current_stack_pointer();
 
-			*--isp = (u32) action;
-			*--isp = (u32) &regs;
-			*--isp = (u32) irq;
+			*--isp = (u32)action;
+			*--isp = (u32)&regs;
+			*--isp = (u32)irq;
 
 			asm volatile(
 				"       xchgl   %%ebx,%%esp     \n"
_
